iOS高德地图SDK(搜索) V9.8.0

Loading...
Searching...
No Matches
Properties | List of all members
AMapPOI Class Reference

POI. More...

`#include <AMapCommonObj.h>`

Inheritance diagram for AMapPOI:

## Properties
NSString * | uid
| POI全局唯一ID.
NSString * | name
| 名称
NSString * | type
| 兴趣点类型
NSString * | typecode
| 类型编码
AMapGeoPoint * | location
| 经纬度
NSString * | address
| 地址
NSString * | tel
| 电话
CGFloat | distance
| 距中心点的距离，单位米。在周边搜索时有效
NSString * | parkingType
| 停车场类型，地上、地下、路边
NSString * | shopID
| 商铺id
NSString * | postcode
| 邮编
NSString * | website
| 网址
NSString * | email
| 电子邮件
NSString * | province
| 省
NSString * | pcode
| 省编码
NSString * | city
| 城市名称
NSString * | citycode
| 城市编码
NSString * | district
| 区域名称
NSString * | adcode
| 区域编码
NSString * | naviPOIId
| POI对应的导航引导点坐标
NSString * | gridcode
| 地理格ID
AMapGeoPoint * | enterLocation
| 入口经纬度
AMapGeoPoint * | exitLocation
| 出口经纬度
NSString * | direction
| 方向
BOOL | hasIndoorMap
| 是否有室内地图
NSString * | businessArea
| 所在商圈
AMapIndoorData * | indoorData
| 室内信息
NSArray< AMapSubPOI * > * | subPOIs
| 子POI列表
NSArray< AMapImage * > * | images
| 图片列表
AMapBusinessData * | businessData
| 所在商圈
AMapPOIExtension * | extensionInfo
| 扩展信息只有在ID查询时有效

## Additional Inherited Members
Instance Methods inherited from AMapSearchObject
(NSString *) | - formattedDescription
| 返回格式化的描述信息。通用数据结构和response类型有效。

## Detailed Description

POI.

## Property Documentation

## ◆ adcode

- (NSString*) adcode
| read write nonatomic copy

区域编码

## ◆ address

- (NSString*) address
| read write nonatomic copy

地址

## ◆ businessArea

- (NSString*) businessArea
| read write nonatomic copy

所在商圈

## ◆ businessData

- (AMapBusinessData*) businessData
| read write nonatomic strong

所在商圈

Since
  9.4.0

## ◆ city

- (NSString*) city
| read write nonatomic copy

城市名称

## ◆ citycode

- (NSString*) citycode
| read write nonatomic copy

城市编码

## ◆ direction

- (NSString*) direction
| read write nonatomic copy

方向

## ◆ distance

- (CGFloat) distance
| read write nonatomic assign

距中心点的距离，单位米。在周边搜索时有效

## ◆ district

- (NSString*) district
| read write nonatomic copy

区域名称

## ◆ email

- (NSString*) email
| read write nonatomic copy

电子邮件

## ◆ enterLocation

- (AMapGeoPoint*) enterLocation
| read write nonatomic copy

入口经纬度

## ◆ exitLocation

- (AMapGeoPoint*) exitLocation
| read write nonatomic copy

出口经纬度

## ◆ extensionInfo

- (AMapPOIExtension*) extensionInfo
| read write nonatomic strong

扩展信息只有在ID查询时有效

## ◆ gridcode

- (NSString*) gridcode
| read write nonatomic copy

地理格ID

## ◆ hasIndoorMap

- (BOOL) hasIndoorMap
| read write nonatomic assign

是否有室内地图

## ◆ images

- (NSArray<AMapImage *>*) images
| read write nonatomic strong

图片列表

## ◆ indoorData

- (AMapIndoorData*) indoorData
| read write nonatomic strong

室内信息

## ◆ location

- (AMapGeoPoint*) location
| read write nonatomic copy

经纬度

## ◆ name

- (NSString*) name
| read write nonatomic copy

名称

## ◆ naviPOIId

- (NSString*) naviPOIId
| read write nonatomic copy

POI对应的导航引导点坐标

Since
  9.4.0

## ◆ parkingType

- (NSString*) parkingType
| read write nonatomic copy

停车场类型，地上、地下、路边

## ◆ pcode

- (NSString*) pcode
| read write nonatomic copy

省编码

## ◆ postcode

- (NSString*) postcode
| read write nonatomic copy

邮编

## ◆ province

- (NSString*) province
| read write nonatomic copy

省

## ◆ shopID

- (NSString*) shopID
| read write nonatomic copy

商铺id

## ◆ subPOIs

- (NSArray<AMapSubPOI *>*) subPOIs
| read write nonatomic strong

子POI列表

## ◆ tel

- (NSString*) tel
| read write nonatomic copy

电话

## ◆ type

- (NSString*) type
| read write nonatomic copy

兴趣点类型

## ◆ typecode

- (NSString*) typecode
| read write nonatomic copy

类型编码

## ◆ uid

- (NSString*) uid
| read write nonatomic copy

POI全局唯一ID.

## ◆ website

- (NSString*) website
| read write nonatomic copy

网址

The documentation for this class was generated from the following file:

- AMapCommonObj.h

© 2017 高德信息技术有限公司 版权所有，保留所有权利。